-- MySQL dump 10.10
--
-- Host: localhost    Database: sample_db5
-- ------------------------------------------------------
-- Server version	5.0.27

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `count`
--

DROP TABLE IF EXISTS `count`;
CREATE TABLE `count` (
  `max_no` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`max_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `count`
--

LOCK TABLES `count` WRITE;
/*!40000 ALTER TABLE `count` DISABLE KEYS */;
INSERT INTO `count` VALUES (1000000001);
/*!40000 ALTER TABLE `count` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item`
--

DROP TABLE IF EXISTS `item`;
CREATE TABLE `item` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL,
  `detail` varchar(200) NOT NULL,
  `price` decimal(10,2) unsigned NOT NULL,
  `qty` int(10) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `uk1` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `item`
--

LOCK TABLES `item` WRITE;
/*!40000 ALTER TABLE `item` DISABLE KEYS */;
INSERT INTO `item` VALUES (1,'半熟卵のMySQL風チキンドリア','チキンたっぷりのリゾットに半熟卵をトッピング．半熟卵のまろやかな味わいが高速動作に力を添えます．','850.00',8),(2,'地鶏とキノコのBIND9風フェットチーネ','きしめん状の幅広パスタがBIND9の堅牢さによくからみます．','780.00',25),(3,'有機野菜のApache風グリーンサラダ','有機野菜の鮮度そのままに，酸味を抑えたドレッシングをからめたサラダです．昔から慕われるその味は，サラダ界のスタンダードです．','480.00',10);
/*!40000 ALTER TABLE `item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `order_item`
--

DROP TABLE IF EXISTS `order_item`;
CREATE TABLE `order_item` (
  `order_no` int(10) unsigned NOT NULL,
  `order_date` datetime NOT NULL,
  `item` int(10) unsigned NOT NULL,
  `qty` int(10) NOT NULL,
  UNIQUE KEY `uk1` (`order_no`,`item`),
  KEY `item` (`item`),
  CONSTRAINT `fk_1` FOREIGN KEY (`order_no`) REFERENCES `order_main` (`order_no`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_2` FOREIGN KEY (`item`) REFERENCES `item` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `order_item`
--

LOCK TABLES `order_item` WRITE;
/*!40000 ALTER TABLE `order_item` DISABLE KEYS */;
INSERT INTO `order_item` VALUES (1000000000,'2007-06-28 20:45:46',1,1),(1000000000,'2007-06-28 20:45:46',2,16),(1000000000,'2007-06-28 20:45:46',3,4);
/*!40000 ALTER TABLE `order_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `order_main`
--

DROP TABLE IF EXISTS `order_main`;
CREATE TABLE `order_main` (
  `order_no` int(10) unsigned NOT NULL,
  `order_date` datetime NOT NULL,
  `name` varchar(20) NOT NULL,
  `zip_code` char(9) NOT NULL,
  `address` varchar(100) NOT NULL,
  PRIMARY KEY  (`order_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `order_main`
--

LOCK TABLES `order_main` WRITE;
/*!40000 ALTER TABLE `order_main` DISABLE KEYS */;
INSERT INTO `order_main` VALUES (1000000000,'2007-06-28 20:45:46','アイティメディア','1000005','東京都千代田区丸の内3-1-1 国際ビル8F');
/*!40000 ALTER TABLE `order_main` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2007-06-28 17:41:12
